ByCloud Docs
GuidesCLIAPISDK
post/v1/certificates/{certificate_id}/validate

Validate certificate DNS

Validate DNS configuration and trigger ACME certificate issuance. Call this after configuring the DNS CNAME records as specified in the certificate's dns_setup. Only applicable for ACME certificates in pending_dns status.

Path Parameters

certificate_id

string<uuid>required

path

Certificate ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Header Parameters

X-Region

stringrequired

header

Region code to query resources from. Required for all resource operations.

Example: "sao1"

Responses

200

Validation initiated

Content-Type: application/json

certificate

objectoptional
400

DNS not configured correctly

Content-Type: application/json

error

objectrequired
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
409

Certificate is not in pending_dns status

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X POST "https://api.spo1.mycloud.com/v1/certificates/550e8400-e29b-41d4-a716-446655440000/validate" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Validation initiated

{
"certificate": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:sao1:certificate:certificate:550e8400-e29b-41d4-a716-446655440000",
"name": "my-certificate",
"type": "acme",
"domains": [
"example.com",
"*.example.com"
],
"status": "active",
"expires_at": "2024-01-15T10:30:00Z",
"renew_after": "2024-01-15T10:30:00Z",
"error_message": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}